Unassign a badge
curl --request DELETE \
--url https://{host}/api/v1/badges/{badge_id}/unassign \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"type": "Content",
"user_email": "jane@example.com"
}
'import requests
url = "https://{host}/api/v1/badges/{badge_id}/unassign"
payload = {
"id": 1,
"type": "Content",
"user_email": "jane@example.com"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 1, type: 'Content', user_email: 'jane@example.com'})
};
fetch('https://{host}/api/v1/badges/{badge_id}/unassign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/badges/{badge_id}/unassign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'id' => 1,
'type' => 'Content',
'user_email' => 'jane@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/v1/badges/{badge_id}/unassign"
payload := strings.NewReader("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{host}/api/v1/badges/{badge_id}/unassign")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/v1/badges/{badge_id}/unassign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Badge #1 unassigned from Post #2"
}{
"errors": "Badge not assigned to this record"
}Badges
Unassign a badge
Removes a badge from a piece of content or from a user. Identify the target the same way as when assigning the badge: either by id and type, or, for a user, by email address
DELETE
/
api
/
v1
/
badges
/
{badge_id}
/
unassign
Unassign a badge
curl --request DELETE \
--url https://{host}/api/v1/badges/{badge_id}/unassign \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"type": "Content",
"user_email": "jane@example.com"
}
'import requests
url = "https://{host}/api/v1/badges/{badge_id}/unassign"
payload = {
"id": 1,
"type": "Content",
"user_email": "jane@example.com"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 1, type: 'Content', user_email: 'jane@example.com'})
};
fetch('https://{host}/api/v1/badges/{badge_id}/unassign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/badges/{badge_id}/unassign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'id' => 1,
'type' => 'Content',
'user_email' => 'jane@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/v1/badges/{badge_id}/unassign"
payload := strings.NewReader("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{host}/api/v1/badges/{badge_id}/unassign")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/v1/badges/{badge_id}/unassign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Badge #1 unassigned from Post #2"
}{
"errors": "Badge not assigned to this record"
}Authorizations
API authentication using your community API secret. The value below is sent as the Authorization header verbatim, so paste the whole header value including the prefix: Token token=
Path Parameters
The badge id, or the third-party reference of its call to action
Body
application/json
The record to remove the badge from
Response
The badge was removed from the record
Example:
"Badge #1 unassigned from Post #2"

